Subject: Re: bug#61934: 28.2; Exec format error when `default-directory` contains non-ASCII characters on Windows 11

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Mar 2023 20:31:50 +0200

> Date: Fri, 03 Mar 2023 18:57:32 +0100
> From: "Grzegorz Kowzan" <[email-masked]>
> Cc: [email-masked]
> 
> Thank you for the explanation. Can the code page be changed from within Emacs or is it set for good at startup? I tried changing the codepage to cp1250, which can handle all the characters in the directory name, with appropriate commands but I still get the same errors. When I execute (describe-coding-system) I get:
> 
> Coding system for saving this buffer:
>   Not set locally, use the default.
> Default coding system (for new files):
>   * -- windows-1250 (alias: cp1250)

You cannot change that from inside Emacs, you must change the
system-wide ANSI codepage via the Windows settings GUI.  That is
because Windows will interpret non-ASCII bytes as if they were
characters encoded in the system codepage, and that is the problem.

> which looks good to me. On the other hand, I did check that I can execute commands from a directory named C:/þñÜ, which has characters beyond ASCII that are handled by cp1252.

Yes, this is supported and should work.